Bug 500491 (CVE-2009-1375) - CVE-2009-1375 pidgin PurpleCircBuffer corruption
Summary: CVE-2009-1375 pidgin PurpleCircBuffer corruption
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2009-1375
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://web.nvd.nist.gov/view/vuln/det...
Whiteboard: impact=low,source=pidgin,reported=200...
Depends On: 500494 500495 500496 500497 502578 833958
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-05-12 22:05 UTC by Josh Bressers
Modified: 2019-06-08 12:45 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-06-09 07:13:49 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1060 normal SHIPPED_LIVE Important: pidgin security update 2009-05-22 12:09:59 UTC

Description Josh Bressers 2009-05-12 22:05:36 UTC
A flaw was found in the way Pidgin's PurpleCircBuffer object is expanded.
If the buffer is full when more data arrives, it results in corruption of
the data stored in the buffer. This corrupt data could possibly result in
confusing or misleading data being presented to the user, or possibly crash
Pidgin.

Comment 3 Jan Lieskovsky 2009-05-22 08:09:10 UTC
Link to upstream advisory:

http://www.pidgin.im/news/security//?id=31

Comment 4 errata-xmlrpc 2009-05-22 12:10:51 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2009:1060 https://rhn.redhat.com/errata/RHSA-2009-1060.html

Comment 6 Fedora Update System 2009-05-26 14:31:16 UTC
pidgin-2.5.6-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/pidgin-2.5.6-1.fc9

Comment 7 Fedora Update System 2009-06-02 14:26:21 UTC
pidgin-2.5.6-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2009-06-02 14:28:23 UTC
pidgin-2.5.6-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2009-06-02 14:33:26 UTC
pidgin-2.5.6-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.